import React from "react"
import PropTypes from "prop-types"

interface Props{
    path: string
    onDirClick?: (path: string) => void
}

const Breadcrum: React.FC<Props> = (props) => {
	const parts = props.path.split("/").filter(e=>e.length > 0)

	return (
		<ul>
			<li className="inline mr-1">
				<a onClick={()=>{
					props.onDirClick?.("/")
				}}>
                    Root
				</a>
			</li>
			{parts.map((e,i,arr)=>(
				<>
					<li className="inline mx-1">/</li>
					<li key={e} className="inline mx-1">
						<a onClick={()=>{
							if (i != arr.length - 1){
								props.onDirClick?.("/"+arr.slice(0,i-1).join("/"))
							}
						}}>{e}</a>
					</li></>))}
		</ul>
	)
}

Breadcrum.propTypes = {
	path: PropTypes.string.isRequired,
	onDirClick: PropTypes.func
}

export default Breadcrum
